package cn.freemud.service;

import cn.freemud.base.entity.BaseResponse;
import cn.freemud.entities.vo.CreateOrderVo;
import cn.freemud.entities.vo.PaysuccessNoticeMessage;
import cn.freemud.entities.vo.QueryOrderVo;
import com.freemud.application.sdk.api.ordercenter.response.orderInfo.OrderInfoReqs;

public interface PointsMallOrderService {

    /**
     * 创建订单
     */
    BaseResponse createOrder(CreateOrderVo createOrderVo);

    /**
     * 支付回调
     */
    String paySuccessCallback(PaysuccessNoticeMessage message, OrderInfoReqs orderInfo);

    BaseResponse scoreRecords(QueryOrderVo queryOrderVo);

    BaseResponse scoreRecordDetail(QueryOrderVo queryOrderVo);
}
